<?php
// Content Management 0.4 module for PHProjekt, version 3.3.
// Copyright 2002 Mario A. Valdez-Ramirez (mario@mariovaldez.org)
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by 
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
session_start();
$path_pre="../";
$include_path = $path_pre . "lib/lib.inc.php";
include_once $include_path;
include_once ($path_pre . "cm/cm_lib.inc.php");
echo $cm_html_header;


function cm_redisplayform () {
  global $cm_text, $cm_docpath;
  global $cm_title, $cm_path, $cm_keywords, $cm_abstract, $cm_content, $cm_pub_date, $cm_upd_date;
  global $cm_uauthor, $cm_uowner, $cm_gviewer;
  global $timezone, $user_group, $groups, $langua;
  $cm_upd_date = date("Y-m-d H:i:s", mktime(date("H")+$timezone,date("i"),date("s"),date("m"),date("d"),date("Y")));
  echo "<form action=\"edit.php\" method=\"post\">";
  $result3 = db_query("select kurz, vorname, nachname from users where kurz = '$cm_uauthor'") or db_die();
  $row3 = db_fetch_row($result3);
  echo "<strong>{$cm_text["author"]}:</strong> " . htmlentities ($row3[1] . " " . $row3[2]) . "<br>
  <input type=\"hidden\" name=\"cm_uauthor\" value=\"$cm_uauthor\">
  <strong>{$cm_text["owner"]}:</strong>";
  if (!$cm_uowner) { $cm_uowner = $user_kurz; }
  echo "<select name='cm_uowner'>";
  $result3 = db_query("select kurz, vorname, nachname from users order by (nachname)") or db_die();
  while ($row3 = db_fetch_row($result3)) {
    echo "<option value='$row3[0]'";
    if ($cm_uowner == $row3[0]) { echo " selected"; }
    echo ">" . htmlentities ($row3[2] . ", " . $row3[1]) . "\n";
  }
  echo "</select><BR>";
  echo "<strong>{$cm_text["visibleto"]}:</strong>";
  $result3 = db_query("select kurz, name from gruppen where ID=1") or db_die();
  $row3 = db_fetch_row($result3);
  if (!$cm_gviewer) { $cm_gviewer = $row3[0]; }
  echo "<select name='cm_gviewer'>";
  echo "<option value=''>\n";
  if ($groups) {
    $result3 = db_query("select kurz, name from gruppen order by (name)") or db_die();
    while ($row3 = db_fetch_row($result3)) {
      echo "<option value='$row3[0]'";
      if ($cm_gviewer == $row3[0]) { echo " selected"; }
      echo ">" . htmlentities ($row3[1]) . "\n";
    }
  }
  echo "</select><br>";
  echo "<strong>{$cm_text["creation"]}:</strong> $cm_pub_date<br>
  <strong>{$cm_text["update"]}:</strong> $cm_upd_date<br>
  <input type=\"hidden\" name=\"cm_upd_date\" value=\"$cm_upd_date\"><br>
  <strong>{$cm_text["title"]}:</strong><br>
  <input type=\"text\" name=\"cm_title\" size=\"80\" maxlength=\"255\" value=\"$cm_title\"><br>
  <strong>{$cm_text["directory"]}:</strong><br>
  $cm_path<input type=\"hidden\" name=\"cm_path\" value=\"$cm_path\"><br>
  <strong>{$cm_text["keywords"]}:</strong><br>
  <textarea cols=\"100\" rows=\"2\" name=\"cm_keywords\">$cm_keywords</textarea><br>
  <strong>{$cm_text["summary"]}:</strong><br>
  <textarea cols=\"100\" rows=\"2\" name=\"cm_abstract\">$cm_abstract</textarea><br>
  <strong>{$cm_text["content"]}:</strong> ({$cm_text["dontusehtml"]} <a href=\"$cm_docpath/$langua.edithelp.php\" target=\"_blank\">{$cm_text["awmvariant"]}</a>).<br>
  <textarea cols=\"100\" rows=\"20\" name=\"cm_content\">$cm_content</textarea><br>
  <input type=\"submit\" name=\"cm_save\" value=\"{$cm_text["savedoc"]}\">
  <input type=\"submit\" name=\"cm_preview\" value=\"{$cm_text["preview"]}\">
  </form>
  ";
}

function cm_firsttimeform () {
  global $cm_text, $cm_docpath;
  global $row1;
  global $timezone, $user_group, $groups, $user_kurz, $langua;
  $cm_upd_date = date("Y-m-d H:i:s", mktime(date("H")+$timezone,date("i"),date("s"),date("m"),date("d"),date("Y")));
  echo "<form action=\"edit.php\" method=\"post\">";
  $result3 = db_query("select kurz, vorname, nachname from users where kurz = '$row1[2]'") or db_die();
  $row3 = db_fetch_row($result3);
  echo "<strong>{$cm_text["author"]}:</strong> " . htmlentities ($row3[1] . " " . $row3[2]) . "<br>
  <input type=\"hidden\" name=\"cm_uauthor\" value=\"$row1[2]\">
  <strong>{$cm_text["owner"]}:</strong>";
  if (!$row1[3]) { $cm_uowner = $user_kurz;
  }
  else {
    $cm_uowner = $row1[3];
  }
  echo "<select name='cm_uowner'>";
  $result3 = db_query("select kurz, vorname, nachname from users order by upper(nachname)") or db_die();
  while ($row3 = db_fetch_row($result3)) {
    echo "<option value='$row3[0]'";
    if ($cm_uowner == $row3[0]) { echo " selected"; }
    echo ">" . htmlentities ($row3[2] . ", " . $row3[1]) . "\n";
  }
  echo "</select><BR>";
  echo "<strong>{$cm_text["visibleto"]}:</strong>";
  $result3 = db_query("select kurz, name from gruppen where ID=1") or db_die();
  $row3 = db_fetch_row($result3);
  if (!$row1[4]) { $cm_gviewer = $row3[0];
  }
  else {
    $cm_gviewer = $row1[4];
  }
  echo "<select name='cm_gviewer'>";
  echo "<option value=''>\n";
  if ($groups) {
    $result3 = db_query("select kurz, name from gruppen order by upper(name)") or db_die();
    while ($row3 = db_fetch_row($result3)) {
      echo "<option value='$row3[0]'";
      if ($cm_gviewer == $row3[0]) { echo "selected"; }
      echo ">" . htmlentities ($row3[1]) . "\n";
    }
  }
  echo "</select><br>";
  echo "<strong>{$cm_text["creation"]}:</strong> $row1[5]<br>
  <strong>{$cm_text["update"]}:</strong> $row1[9] ($cm_upd_date)<br>
  <input type=\"hidden\" name=\"cm_upd_date\" value=\"$cm_upd_date\"><br>
  <strong>{$cm_text["title"]}:</strong><br>
  <input type=\"text\" name=\"cm_title\" size=\"80\" maxlength=\"255\" value=\"$row1[0]\"><br>
  <strong>{$cm_text["directory"]}:</strong><br>
  $row1[1]<input type=\"hidden\" name=\"cm_path\" value=\"$row1[1]\"><br>
  <strong>{$cm_text["keywords"]}:</strong><br>
  <textarea cols=\"100\" rows=\"2\" name=\"cm_keywords\">$row1[6]</textarea><br>
  <strong>{$cm_text["summary"]}:</strong><br>
  <textarea cols=\"100\" rows=\"2\" name=\"cm_abstract\">$row1[7]</textarea><br>
  <strong>{$cm_text["content"]}:</strong> ({$cm_text["dontusehtml"]} <a href=\"$cm_docpath/$langua.edithelp.php\" target=\"_blank\">{$cm_text["awmvariant"]}</a>).<br>
  <textarea cols=\"100\" rows=\"20\" name=\"cm_content\">$row1[8]</textarea><br>
  <input type=\"submit\" name=\"cm_save\" value=\"{$cm_text["savedoc"]}\">
  <input type=\"submit\" name=\"cm_preview\" value=\"{$cm_text["preview"]}\">
  </form>
  ";
}



if (!$cm_save)
{
  if ($cm_path)
  {
    if (fcm_or_authorize ($user_kurz, "", $cm_path, true, true, false)) {
      if ($cm_preview) {
        fcm_title_nav ($cm_path, true, fcm_user_is_admin ($user_kurz), fcm_user_is_owner ($user_kurz, $cm_path), $user_kurz, true);
        if (get_magic_quotes_gpc ()) {
          $cm_title = stripslashes ($cm_title);
          $cm_keywords = stripslashes ($cm_keywords);
          $cm_abstract = stripslashes ($cm_abstract);
          $cm_content = stripslashes ($cm_content);
        }
        cm_redisplayform ();
        echo "<p>&nbsp;</p><TABLE BORDER=\"1\" CELLPADDING=\"5\" CELLSPACING=\"0\"><TR><TD>";
        echo fcm_process_markup ($cm_content, $cm_path);
        echo "</TD></TR></TABLE>";
      }
      else {
        $result1 = db_query("select cmdb_title, cmdb_directory, cmdb_author_user, cmdb_owner_user, cmdb_viewer_group, cmdb_date_creation, cmdb_keywords, cmdb_abstract, cmdb_content, cmdb_date_update, cmdb_title, cmdb_type from content3 where cmdb_directory like '$cm_path' and cmdb_type like '%p%'") or db_die();
        $row1 = db_fetch_row($result1);
        if ($row1[1]) {
          fcm_title_nav ($cm_path, true, fcm_user_is_admin ($user_kurz), fcm_user_is_owner ($user_kurz, $cm_path), $user_kurz, true);
          cm_firsttimeform ();
        }
        else {
          fcm_title_nav ("", false, false, false, "", false);
          fcm_message ("{$cm_text["dirnotfound"]} {$cm_text["tryfromroot"]}", CM_MSGSTYLE_ERROR);
        }
      }
    }
    else {
      fcm_message ($cm_text["needaccess2edit"], CM_MSGSTYLE_WARNING);
    }
  }
  else {
    fcm_title_nav ("", false, false, false, "", false);
    fcm_message ("{$cm_text["dirnotfound"]} {$cm_text["tryfromroot"]}", CM_MSGSTYLE_ERROR);
  }
}
else {
  if (fcm_or_authorize ($user_kurz, "", $cm_path, true, true, false)) {
    $cm_title = htmlentities ($cm_title);
    $cm_keywords = htmlentities ($cm_keywords);
    $cm_abstract = htmlentities ($cm_abstract);
    $cm_content = htmlentities ($cm_content);
    $cm_upd_date = date("Y-m-d H:i:s", mktime(date("H")+$timezone,date("i"),date("s"),date("m"),date("d"),date("Y")));
    $result2 = db_query("update content3 set cmdb_title='$cm_title', cmdb_owner_user='$cm_uowner', cmdb_viewer_group='$cm_gviewer', cmdb_date_update='$cm_upd_date', cmdb_keywords='$cm_keywords', cmdb_abstract='$cm_abstract', cmdb_content='$cm_content' where cmdb_directory like '$cm_path'") or db_die();
    fcm_reset_updatedvisit ($cm_path, CM_HITTYPE_PAGE);
    fcm_title_nav ($cm_path, false, fcm_user_is_admin ($user_kurz), fcm_user_is_owner ($user_kurz, $cm_path), $user_kurz, true);
    fcm_message ("{$cm_text["updateddocin"]} $cm_path", CM_MSGSTYLE_INFORMATION);
  }
  else {
    fcm_title_nav ("", false, false, false, "", false);
    fcm_message ($cm_text["needaccess2edit"], CM_MSGSTYLE_WARNING);
  }
}


echo $cm_html_footer;
?>

